ZapytanieBetaQuery.supplier
One supplier by its identifier; null when there is no such supplier.
| Wymagany zakres | warehouse:read |
|---|---|
| Dostępne od | Prynt 0.28.0 |
| Stabilność | Beta (co to znaczy) |
Argumenty
| Nazwa | Typ | Opis |
|---|---|---|
idwymagane | ID! | Identifier of the supplier. |
Zwraca
Przykład
query SupplierPriceList($id: ID!) { supplier(id: $id) { id name materials { materialType materialId materialName unitPrice currency leadTimeDays } }}{ "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b06"}curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \ -H "Authorization: Bearer $PRYNT_API_KEY" \ -H "Content-Type: application/json" \ --data-binary @- <<'JSON'{ "query": "query SupplierPriceList($id: ID!) {\n supplier(id: $id) {\n id\n name\n materials {\n materialType\n materialId\n materialName\n unitPrice\n currency\n leadTimeDays\n }\n }\n}", "variables": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b06" }}JSON{ "data": { "supplier": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b06", "name": "Papyrus Polska", "materials": [ { "materialType": "PAPER", "materialId": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b01", "materialName": "Kreda mat 130g 70x100", "unitPrice": 0.42, "currency": "PLN", "leadTimeDays": 3 } ] } }}